Linux Mint 16 Petra Stabile è finalmente disponibile sia nella versione con il nuovo Cinnamon 2.0 e Mate 1.6, tutte le novità e come scaricare la nuova release

Linux Mint 16 Petra Cinnamon
E’ finalmente disponibile la nuova versione 16 Stabile di Linux Mint, una delle distribuzioni più apprezzate ed utilizzate al mondo.
Disponibile in due varianti: Cinnamon e Mate DE, il nuovo Linux Mint 16 approda con diverse novità che vanno a rendere i due ambienti desktop sempre più completi, sicuri e funzionali. Grazie inoltre all’aggiornamento di kernel, mesa, e librerie varie il nuovo Linux Mint 16 Petra risulta più reattiva oltre a fornire un maggiore supporto hardware soprattutto per le schede grafiche Intel, Nvdia e AMD.
Linux Mint 16 Petra aggiorna Cinnamon alla versione 2.0.x aggiornamento che rende indipendente l’ambiente desktop da Gnome grazie al nuovo sistema di componenti denominato Cinnamon Backend.

Tra le altre novità troviamo MDM 1.4 con il tool di configurazione rivisitato,  da notare il nuovo tema di default che dispone di un’interfaccia utente semplificata che si concentra sulle caratteristiche importanti, aggiunto il supporto per il NumLock. Approda il nuovo USB Stick Formatter utile applicazione che ci consente di formattare pendrive in Ntfs, Fat32 ed Ext4 con un semplice click. Migliora anche Software Manager ora più veloce sia nell’avvio che nelle varie ricerche, sotto il cofano troviamo diverse migliorie per il supporto per EFI e UEFI Secure Boot, dai repository ufficiali troviamo anche la piattaforma Steam di Valve.

MATE di Linux Mint 16 Petra ripropone la  versione 1.6.x con l’integrazione di svariate ottimizzazioni e aggiornamenti vari, da notare inoltre il cambio nel motore di ricerca predefinito di  Firefox non più DuckDuckGo ma Yahoo!.

Linux Mint 16 Petra Mate DE

  • Sorianotk

    in kubuntu non mi parte il mysql….devo installarlo separatamente?

    • no è già presente
      prova a dare sudo /opt/lampp/lampp start

      2012/7/13 Disqus

      • Sorianotk

        XAMPP: Starting MySQL…
        XAMPP: Couldn’t start MySQL!

        ci avevo già provato :p   

        • prova con
          sudo chown nobody /opt/lampp/var/mysql/mysql

          2012/7/13 Disqus

          • Sorianotk

            nn mi fa installare quei pacchetti
            E: Impossibile trovare il pacchetto apache2-mod-perl2E: Impossibile trovare il pacchetto apache2-mod-pythonE: Impossibile trovare il pacchetto apache2-mod-ruby

          • sicuro di aver fatto tutto come da guida?

            installa apache completo

            sudo apt-get install apache2

            2012/7/13 Disqus

          • Sorianotk

            ancora nulla 🙁
            parte tutto tranne il mysql

          • Matthew

             Ciao, il comando che cerchi per far partire MySQL dalla shell è:

             sudo /opt/lampp/bin/mysql -u root

            P.S.
            Mi permetto una critica; quando si  fanno delle guide si dovrebbe essere il più completi e precisi possibile.

            Inoltre il  pacchetto python-glade2 è del tutto superfluo!

            Personalmente avvio sempre dalla shell XAMPP con:

            sudo /opt/lampp/lampp start

            senza inutili icone e figurine grafiche! Se uno programma in PHP con MySQL ecc. può fare a meno di amenità simili.
             Ciao.

          • il blog viene letto da diverse tipologie di lettori
            se un’utente è esperto on php mysql ecc penso che nemmeno richieda la consultazione della guida
            un nuovo utente invece che si avvicina a linux e vuole installare xampp a mio avviso si trova meglio con finestra per avviare il server web ecco quindi il pacchetto richiesto altrimenti non funziona

        • se non si avvia ancora prova ad installare

          sudo apt-get install apache2-mod-perl2 apache2-mod-python apache2-mod-ruby
          2012/7/13 roberto ferramosca

  • vaino sereno

    kubuntu@kubuntu-System-Product-Name:~$ sudo tar xvfz xampp-linux-1.7.7.tar.gz -C /opt
    tar (child): xampp-linux-1.7.7.tar.gz: funzione “open” non riuscita: File o directory non esistente
    tar (child): Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error is not recoverable: exiting now
    kubuntu@kubuntu-System-Product-Name:~$
    mi restituisce questo errore al
    sudo tar xvfz xampp-linux-1.7.7.tar.gz -C /opt

    • non hai scaricato il file xampp
      se ti da errore scaricare il pacchettto per linux dal sito ufficiale

      mettilo nella home e ridai il comando e vedrai che funziona

      2012/7/13 Disqus

  • vaino sereno

    ho spostato ed estratto manualmente il tar in /opt ma se cerco di avviarlo
    con
    sudo /opt/lampp/lampp start
    XAMPP is currently only availably as 32 bit application. Please use a 32 bit compatibility library for your system.
     

  • vaino sereno

    sudo apt-get install ia32-libse continuo incrociando le dita
     

  • vaino sereno

    minchia guarda che roba si tira dietro

    [code]
      gvfs-libs:i386 ia32-libs ia32-libs-multiarch:i386 ibus-gtk:i386 libaa1:i386 libacl1:i386 libaio1:i386 libao-common libao4:i386 libasn1-8-heimdal:i386
      libasound2:i386 libasound2-plugins:i386 libasyncns0:i386 libatk1.0-0:i386 libattr1:i386 libaudio2:i386 libaudiofile1:i386 libavahi-client3:i386
      libavahi-common-data:i386 libavahi-common3:i386 libavc1394-0:i386 libbz2-1.0:i386 libc6:i386 libcaca0:i386 libcairo-gobject2:i386 libcairo2:i386
      libcanberra-gtk-module:i386 libcanberra-gtk0:i386 libcanberra0:i386 libcap2:i386 libcapi20-3:i386 libcdparanoia0:i386 libcomerr2:i386 libcroco3:i386
      libcups2:i386 libcupsimage2:i386 libcurl3:i386 libdatrie1:i386 libdb5.1:i386 libdbus-1-3:i386 libdbus-glib-1-2:i386 libdrm-intel1:i386 libdrm-nouveau1a:i386
      libdrm-radeon1:i386 libdrm2:i386 libdv4:i386 libesd0:i386 libexif12:i386 libexpat1:i386 libffi6:i386 libflac8:i386 libfontconfig1:i386 libfreetype6:i386
      libgail-common:i386 libgail18:i386 libgcc1:i386 libgconf-2-4:i386 libgcrypt11:i386 libgd2-xpm:i386 libgdbm3:i386 libgdk-pixbuf2.0-0:i386 libgdu0
      libgettextpo0:i386 libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386 libglib2.0-0:i386 libglib2.0-data libglu1-mesa:i386 libgnome-keyring0:i386
      libgnutls26:i386 libgomp1:i386 libgpg-error0:i386 libgphoto2-2:i386 libgphoto2-port0:i386 libgpm2:i386 libgssapi-krb5-2:i386 libgssapi3-heimdal:i386
      libgstreamer-plugins-base0.10-0:i386 libgstreamer0.10-0:i386 libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2.0-0:i386 libgudev-1.0-0:i386
      libhcrypto4-heimdal:i386 libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386 libhx509-5-heimdal:i386 libibus-1.0-0:i386 libice6:i386 libidn11:i386
      libiec61883-0:i386 libieee1284-3:i386 libjack-jackd2-0:i386 libjasper1:i386 libjpeg-turbo8:i386 libjpeg8:i386 libjson0:i386 libk5crypto3:i386
      libkeyutils1:i386 libkrb5-26-heimdal:i386 libkrb5-3:i386 libkrb5support0:i386 liblcms1:i386 libldap-2.4-2:i386 libllvm3.0:i386 libltdl7:i386 libmad0:i386
      libmikmod2:i386 libmng1:i386 libmpg123-0:i386 libmysqlclient18:i386 libncurses5:i386 libncursesw5:i386 libnspr4:i386 libnss3:i386 libodbc1:i386 libogg0:i386
      libopenal1:i386 liborc-0.4-0:i386 libp11-kit0:i386 libpango1.0-0:i386 libpciaccess0:i386 libpcre3:i386 libpixman-1-0:i386 libpng12-0:i386 libproxy1:i386
      libpulse-mainloop-glib0:i386 libpulse0:i386 libpulsedsp:i386 libqt4-dbus:i386 libqt4-declarative:i386 libqt4-designer:i386 libqt4-network:i386
      libqt4-opengl:i386 libqt4-qt3support:i386 libqt4-script:i386 libqt4-scripttools:i386 libqt4-sql:i386 libqt4-sql-mysql:i386 libqt4-svg:i386 libqt4-test:i386
      libqt4-xml:i386 libqt4-xmlpatterns:i386 libqtcore4:i386 libqtgui4:i386 libqtwebkit4:i386 libraw1394-11:i386 libroken18-heimdal:i386 librsvg2-2:i386
      librsvg2-common:i386 librtmp0:i386 libsamplerate0:i386 libsane:i386 libsasl2-2:i386 libsasl2-modules:i386 libsdl-image1.2:i386 libsdl-mixer1.2:i386
      libsdl-net1.2:i386 libsdl-ttf2.0-0:i386 libsdl1.2debian:i386 libselinux1:i386 libshout3:i386 libslang2:i386 libsm6:i386 libsndfile1:i386
      libsoup-gnome2.4-1:i386 libsoup2.4-1:i386 libspeex1:i386 libspeexdsp1:i386 libsqlite3-0:i386 libssl0.9.8:i386 libssl1.0.0:i386 libstdc++5:i386
      libstdc++6:i386 libtag1-vanilla:i386 libtag1c2a:i386 libtasn1-3:i386 libtdb1:i386 libthai0:i386 libtheora0:i386 libtiff4:i386 libtinfo5:i386 libudev0:i386
      libunistring0:i386 libusb-0.1-4:i386 libuuid1:i386 libv4l-0:i386 libv4lconvert0:i386 libvisual-0.4-0:i386 libvisual-0.4-plugins:i386 libvorbis0a:i386
      libvorbisenc2:i386 libvorbisfile3:i386 libwavpack1:i386 libwind0-heimdal:i386 libwrap0:i386 libx11-6:i386 libx11-xcb1:i386 libxau6:i386 libxaw7:i386
      libxcb-glx0:i386 libxcb-render0:i386 libxcb-shm0:i386 libxcb1:i386 libxcomposite1:i386 libxcursor1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386
      libxfixes3:i386 libxft2:i386 libxi6:i386 libxinerama1:i386 libxml2:i386 libxmu6:i386 libxp6:i386 libxpm4:i386 libxrandr2:i386 libxrender1:i386
      libxslt1.1:i386 libxss1:i386 libxt6:i386 libxtst6:i386 libxv1:i386 libxxf86vm1:i386 odbcinst1debian2:i386 oss-compat policykit-1-gnome xaw3dg:i386
      zlib1g:i386
    0 aggiornati, 248 installati, 0 da rimuovere e 0 non aggiornati.
    È necessario scaricare 78,7 MB di archivi.
    [/code]
    Dopo quest’operazione, verranno occupati 254 MB di spazio su disco.
    Continuare [S/n]? s
     

  • vaino sereno

     kubuntu@kubuntu-System-Product-Name:~$ sudo /opt/lampp/lampp start
    Starting XAMPP for Linux 1.7.7…                                                                                                                                                                                                                                              
    XAMPP: Starting Apache with SSL (and PHP5)…                                                                                                                                                                                                                                  
    XAMPP: Starting MySQL…                                                                                                                                                                                                                                                       
    XAMPP: Couldn’t start MySQL!                                                                                                                                                                                                                                                   
    XAMPP: Starting ProFTPD…                                                                                                                                                                                                                                                     
    XAMPP for Linux started.                                                                                                                                                                                                                                                       
    kubuntu@kubuntu-System-Product-Name:~$                                 

  • vaino sereno
  • vaino sereno

    funge 😛

  • vaino sereno

    azz casini con mysql
    ERROR 2002 (HY000): Can’t connect to local MySQL server through socket ‘/opt/lampp/var/mysql/mysql.sock’ (2)
     

  • vaino sereno

    kubuntu@kubuntu-System-Product-Name:~$ sudo service mysql start
    mysql: unrecognized service
     

    • Sorianotk

      hai per caso risolto?anche io nn riesco a far partire il mysql……

      • domani lo provo su kubuntu e vediamo se da il problema anche a me

  • vaino sereno

    ps -aux | grep mysqld
    Warning: bad ps syntax, perhaps a bogus ‘-‘? See http://procps.sf.net/faq.html
    kubuntu   1932  0.0  0.3 1256052 32300 ?       Sl   21:21   0:00 /usr/sbin/mysqld –defaults-file=/home/kubuntu/.local/share/akonadi/mysql.conf –datadir=/home/kubuntu/.local/share/akonadi/db_data/ –socket=/home/kubuntu/.local/share/akonadi/socket-kubuntu-System-Product-Name/mysql.socket
    kubuntu  17746  0.0  0.0   9408   932 pts/2    S+   22:34   0:00 grep –color=auto mysqld
    kubuntu@kubuntu-System-Product-Name:~$
     

  • vaino sereno
  • Come suggerito qui http://forum.ubuntu-it.org/viewtopic.php?t=495636#p3875712

    In caso di accesso negato a phpmyadmin, da console, bisogna settare la sicurezza.sudo /opt/lampp/lampp security e settare le password per lampp,mysql,ftp e via dicendo.

  • Giovanni

    c’è un errore nell’articolo: “digitando da termianale”…

  • Anto Fox

    Tu non sia quanti smadonnamenti per colpa di quel chmod 777, cmq bella guida ne stavo facendo una pure io, ti posso citare?

  • POTA

    e per chi non utilizza ubuntu ed ha, ad esempio, openbox come fa ad avviare xampp?

  • franck asuspro1985

    THE BEST USER-FRIENDLY DESKTOP FOR LINUX!!

  • EnricoD

    certo che Yahoo come motore di ricerca predefinito …

    • Dario Grillo

      Anche il progetto mint ha bisogno di introiti per “stare a galla” a me non frega nulla tanto o google o yahoo o duck duck go, il motore di ricerca lo cambio in 5 secondi

      • XfceEvangelist

        Vi consiglio di usare www . startpage . com come motore di ricerca

        • Dario Grillo

          l’ho usato qualche anno fa sul browser secondario, che dire, sicuramente migliore di duck duck go nelle ricerche, ma ormai sono un irrimediabile drogato di google e dei suoi servizi

  • Luky

    Uscirà la versione con Xfce?

    • ge+

      di solto le spin secondarie escono un pò dopo, sicuramente si quindi

  • Maruko

    Ciao Roberto io monto ancora maya nel mio xps, sai dirmi se con questa ho la possibilità di usare bumblebee?

    • Peter

      bumblebee si può installare tranquillamente essendo una derivata di debian, si installa un pò come se fossi su ubuntu…
      Molto tentato di riprovare la versione cinnamon, l’ultima che ho installato su un netbook era la 14 ed andava benissimo!

      • Maruko

        grazie, quindi posso usare lo stesso procedimento per mint 15?

        • Peter

          bhe credo di si, non vedo differenze!
          addirittura se c’è il kernel 3.12, in teoria non dovresti nemmeno aver bisogno!
          Anche io necessito di bumblebee, ma la soluzione con il solo kernel 3.12 ancora non l’ho provata… 🙁

          • Maruko

            Grazie mille provo subito appena messa la versione mate

  • Ermy_sti

    come già detto precedentemente dopo un anno di utilizzo di cinnamon e un anno di mate, trovo quest ultimo superiore in tutto

  • Rinox1590

    Ciao, volevo provare questa distro… quale DE mi consigliate? vorrei una gui soprattutto completa e FUNZIONALE, utile. E’ semplice ? o per trovare qualcosa di stimolante devo andare per forza verso arch? (ancora troppo complicato per me, vorrei avanzare verso l’uso terminale a piccoli passi, anche per mancanza di tempo ) Grazie …

    • ge+

      Mint con MATE è estermamente facile, leggera e funzionale.

      Se però ti piace arch e quindi il suo gestore di pacchetti, pacman, ti consiglio caldamente Manjaro linux con MATE o XFCE: altrettanto semplice, leggera e funzionale, ma rolling, quindi sempre aggiornata. secondo me è molto adatta per imparare ad usare il terminale e pacman.

    • Nico

      Se arch è troppo complicato, anche se i tutorial ti spiegano tutto passo a passo, usa Manjaro.

    • ange98

      Se vuoi una rolling senza sbattimenti e che ti stimoli, prova con un installazione di Debian Testing senza DE e altri software, passa ai repo di sid, fai un upgrade e installa i pacchetti che vuoi. Altrimenti prova con Arch 😉

      • scusami a quel punto conviene una netboot di debian e installi direttamente sid XD

        • ange98

          hahahha vero non ci avevo pensato 🙂

    • Max Franco

      praticamente ogni DE è disponibile anche solo su ubuntu.
      si tratta al massimo di installare qualche ppa o repository esterna (vedi guida qui su lffl per installare mate su ubuntu).
      per decidere quale DE preferisci, la cosa migliore è provarli: scaricati le iso delle derivate ubuntu o di qualsiasi altra distribuzione e prova le live con una macchina virtuale (o anche fisica se ti va), e poi scegli sulla base delle tue preferenze 😀

    • Dario Grillo

      Per imparare a padroneggiare linux non serve una distro in particolare, ubuntu o linux mint anche se semplici permettono di imparare lo stesso, basta avviare un terminale e una pagina wiki su internet accanto e sei apposto, per quanto riguarda i DE, io ti consiglierei KDE, a mio parere è il DE più completo e funzionale in assoluto, non solo su linux, anche rapportato ai DE di windows e macOSX, il problema e che è anche difficile da “assimilare” in alternativa prova xfce, mooooooolte meno funzioni ma anche mooooolto più intuitivo

    • Andrea Girvasi

      In questo periodo mi sto appassionando a SolydXK, derivata Debian semi-rolling curata da parte del team di Mint. È disponibile una versione “leggera” con Xfce (SolydX) ed una più completa con KDE (SolydK) oltre alle Business Edition (BE) dedicate ad aziende.
      È, semplicemente, LMDE (Linux Mint Debian Edition) come dovrebbe essere, cioè con aggiornamenti mensili che non distruggono il sistema come purtroppo spesso fanno gli update pack di LMDE. Non ha né Mate né Cinnamon come DE, ma non è poi questo dramma, ed ha il vantaggio di non dover essere reinstallata in caso di aggiornamento di versione come si deve fare con altre derivate Debian o Ubuntu. Se ti va, ti consiglio di provarla.

    • Giorgio

      Le provi tutte finché non trovi quella che ti fa funzionare TUTTO il tuo hardware in particolare wi-fi e schede video se hai un notebook. Linux Mint con Cinnamon o Mate è solo questione di gusti, per Ubuntu idem, per arch ci vuole pazienza…

  • Federico

    come si aggiorna dalla 15 alla 16 cinnamon 64?

  • Giorgio

    Come al solito… Petra non è ancora stata “rilasciata”. Non c’è ancora nessun annuncio ufficiale. Stanno solo riempiendo i server. Aspettare un annuncio ufficiale no eh?

    • fandangozx

      ma infatti, neppure un link al server ftp

  • Dopo anni e anni di Ubuntu a causa dei troppi bug delle versione 13.10 sono passato a mint 16 cinnamon la settimana scorsa e devo dire che mi trovo benissimo!
    l’unico inconveniente è la batteria che rispetto ad Ubuntu dura meno…

    • Giorgio

      Dipende da un sacco di fattori… Sul mio notebook nuovo con due schede video U13.10 mi finiva la batteria in un attimo e LM16 Cinnamon RC un po’ meno e ho lasciato quella, sul notebook vecchio con una scheda video sola chissà perché succede il contrario… (prove fatte con SO installati “lisci”, cioè senza nessun smanettamento particolare). In teoria i due SO dovrebbero essere sostanzailmente identici per ciò che si trova sotto il cofano, ma probabilmente basta una minima modifica a qualche impostazione di default che sballa un po’ tutto il sistema di controllo energetico. Misteri…

      • si infatti volevo dire che è stupefacente come mint che sia basato su ubuntu consumi più di ubuntu xD
        In ogni caso visto che solo oggi esce la release definitiva potrebbe anche essere un bug a causare il consumo eccessivo 😉

    • KZ125R

      si ma è passata solo na settimana.

  • Luca

    Io sono con arch da quando ubuntu 13.10 non riconosce la scheda di rete sul mio netbook ma provando mint ho visto che la legge sono indeciso se cambiare

    • dazzi

      io sono su Debian da quando ubuntu 13.04 non mi ha riconosciuto la scheda di rete…

  • Andrea Girvasi

    Una buona notizia considerando che ora saranno rilasciate le iso di LMDE già aggiornate all’update pack 8. Speriamo che il 9 si possa installare senza dover scomodare tutti i santi del calendario.

  • muchoman

    leggo sempre con grande piacere i rilasci di mint….minter affezionato dalla 8 helena

  • G.F.

    molto interessante Edge-snapping

  • curioso

    potete spiegarmi chi è petra e come saltano fuori questi nomi?
    la prima cosa che mi viene in mente è una donna affettivamente legata allo sviluppatore ho indovinato?

    • muchoman

      Ogni rilascio ha un nome femminile seguendo l ordine alfabetico…arrivati alla zozzolova toccherà trovare un nuovo sistema di codenames

      • freud

        ok ma per quale motivo usa nomi di donne?
        psicologicamente intendo

        • muchoman

          credo per lo stesso motivo per la quale l’apple usa nomi di felini, debian quello dei giocattoli di toystory ed ubuntu il nome di animali più un aggettivo seguendo l’ordine alfabetico…un modo come un altro per imprimere nella mente il nome di una versione differente dal solo asettico numero

        • fanfani

          ma che domande sono?

    • Giorgio
  • marco

    Spettacolare…veloce completa moderna,la uso dal rilascio rc non ho avuto un solo problema pur abilitando gli aggionamenti di livello 1 e. 2 quindi aumentando le possibilitá di problemi. Cinnamon é tutto quello che dovrebbe avere un buon DE pratico bello customizzabile il giusto, sotto il cofano ubuntu che a dispetto dei detrattori fornisce compatibilitá e driver per qualsiasi hw e permette l’installazione di qualsiasi sw si cerchi …é la prima volta che completo la macchina senza aggiungere ppa…Questo per me mostra la volontá continua di dimostrare la potenza e versatilitá di linux versus windows che innegabilmente sta facendo passi avanti. Ottimo lavoro Clem…la consiglio a tutti

  • Mauro Kernele

    Domandona: è possibile rimuovere le inutili e pesantissime ombre dalle decorazioni delle finestre? In giro, pare che nessuno ci sia mai riuscito.

    Non voglie credere che non si dia questa doverosa possibilità all’utente.

  • gigi

    non è possibile mettere la spunta alla voce Non richiedere la password all’accesso della sessione: c’è un modo per attivarla?

    • Morg

      Menu/Impostazioni di sistema/Schermata di accesso/ ecc ecc ….
      Spero ti interessi ancora saperlo….

  • mariokkmfrimv

    per avviare XAMPP meglio digitare da terminale :sudo /opt/lampp/lampp start

  • mariokkmfrimv

    cmq ottima guida davvero complimenti ! grazie mille

  • CuccuDrillu10

    mint è sempre pesantissima. Peccato abbiano soppresso la versione con LXDE

    • Fighi Blue

      funziona sul mio pc vecchio di 7 anni…devi avere un pc vecchissimo per non reggerla

      • CuccuDrillu10

        è un eee900 del 2008. per reggere, la regge….a fatica però. La versione con Lxde era quella che girava meglio sul mio muletto

        • Fighi Blue

          per gli eeepc devi trovare qualcosa di ottimizzato in effetti